package com.ruoyi.web.modules.hub.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.hub.domain.BizDataSendRecord;

/**
 * 数据发送记录 Mapper
 */
public interface BizDataSendRecordMapper
{
    BizDataSendRecord selectBizDataSendRecordById(Long id);

    BizDataSendRecord selectBizDataSendRecordByIdAny(Long id);

    List<BizDataSendRecord> selectBizDataSendRecordList(BizDataSendRecord query);

    int insertBizDataSendRecord(BizDataSendRecord row);

    int updateBizDataSendRecord(BizDataSendRecord row);

    int logicDeleteBizDataSendRecordByIds(@Param("ids") Long[] ids, @Param("updateBy") String updateBy);
}
